| Home | Libraries | People | FAQ | More

## Class template date_formatter

boost::date_time::date_formatter — Convert a date to string using format policies.

## Synopsis

    // In header: <boost/date_time/date_formatting.hpp>

    template<typename date_type, typename format_type, typename charT = char>
    class date_formatter {
    public:
      // types
      typedef std::basic_string< charT > string_type;

      // public static functions
      static string_type date_to_string(date_type);
      static std::string date_to_string(date_type);
    };

## Description

### `date_formatter` public static functions

1.     static string_type date_to_string(date_type d);

   Convert to a date to standard string using format policies.

2.     static std::string date_to_string(date_type d);

   Convert to a date to standard string using format policies.